1# Makefile.in generated by automake 1.16.2 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Makefile.am for the traffic/iocore/aio hierarchy
18#
19#  Licensed to the Apache Software Foundation (ASF) under one
20#  or more contributor license agreements.  See the NOTICE file
21#  distributed with this work for additional information
22#  regarding copyright ownership.  The ASF licenses this file
23#  to you under the Apache License, Version 2.0 (the
24#  "License"); you may not use this file except in compliance
25#  with the License.  You may obtain a copy of the License at
26#
27#      http://www.apache.org/licenses/LICENSE-2.0
28#
29#  Unless required by applicable law or agreed to in writing, software
30#  distributed under the License is distributed on an "AS IS" BASIS,
31#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
32#  See the License for the specific language governing permissions and
33#  limitations under the License.
34
35#  Licensed to the Apache Software Foundation (ASF) under one
36#  or more contributor license agreements.  See the NOTICE file
37#  distributed with this work for additional information
38#  regarding copyright ownership.  The ASF licenses this file
39#  to you under the Apache License, Version 2.0 (the
40#  "License"); you may not use this file except in compliance
41#  with the License.  You may obtain a copy of the License at
42#
43#      http://www.apache.org/licenses/LICENSE-2.0
44#
45#  Unless required by applicable law or agreed to in writing, software
46#  distributed under the License is distributed on an "AS IS" BASIS,
47#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
48#  See the License for the specific language governing permissions and
49#  limitations under the License.
50
51VPATH = @srcdir@
52am__is_gnu_make = { \
53  if test -z '$(MAKELEVEL)'; then \
54    false; \
55  elif test -n '$(MAKE_HOST)'; then \
56    true; \
57  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58    true; \
59  else \
60    false; \
61  fi; \
62}
63am__make_running_with_option = \
64  case $${target_option-} in \
65      ?) ;; \
66      *) echo "am__make_running_with_option: internal error: invalid" \
67              "target option '$${target_option-}' specified" >&2; \
68         exit 1;; \
69  esac; \
70  has_opt=no; \
71  sane_makeflags=$$MAKEFLAGS; \
72  if $(am__is_gnu_make); then \
73    sane_makeflags=$$MFLAGS; \
74  else \
75    case $$MAKEFLAGS in \
76      *\\[\ \	]*) \
77        bs=\\; \
78        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
80    esac; \
81  fi; \
82  skip_next=no; \
83  strip_trailopt () \
84  { \
85    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86  }; \
87  for flg in $$sane_makeflags; do \
88    test $$skip_next = yes && { skip_next=no; continue; }; \
89    case $$flg in \
90      *=*|--*) continue;; \
91        -*I) strip_trailopt 'I'; skip_next=yes;; \
92      -*I?*) strip_trailopt 'I';; \
93        -*O) strip_trailopt 'O'; skip_next=yes;; \
94      -*O?*) strip_trailopt 'O';; \
95        -*l) strip_trailopt 'l'; skip_next=yes;; \
96      -*l?*) strip_trailopt 'l';; \
97      -[dEDm]) skip_next=yes;; \
98      -[JT]) skip_next=yes;; \
99    esac; \
100    case $$flg in \
101      *$$target_option*) has_opt=yes; break;; \
102    esac; \
103  done; \
104  test $$has_opt = yes
105am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107pkgincludedir = $(includedir)/@PACKAGE@
108am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109install_sh_DATA = $(install_sh) -c -m 644
110install_sh_PROGRAM = $(install_sh) -c
111install_sh_SCRIPT = $(install_sh) -c
112INSTALL_HEADER = $(INSTALL_DATA)
113transform = $(program_transform_name)
114NORMAL_INSTALL = :
115PRE_INSTALL = :
116POST_INSTALL = :
117NORMAL_UNINSTALL = :
118PRE_UNINSTALL = :
119POST_UNINSTALL = :
120build_triplet = @build@
121host_triplet = @host@
122check_PROGRAMS = test_AIO$(EXEEXT)
123subdir = iocore/aio
124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125am__aclocal_m4_deps = $(top_srcdir)/build/atomic.m4 \
126	$(top_srcdir)/build/ax_check_openssl.m4 \
127	$(top_srcdir)/build/ax_compare_version.m4 \
128	$(top_srcdir)/build/ax_compiler_vendor.m4 \
129	$(top_srcdir)/build/ax_lib_curl.m4 \
130	$(top_srcdir)/build/ax_lib_readline.m4 \
131	$(top_srcdir)/build/ax_path_generic.m4 \
132	$(top_srcdir)/build/ax_perl_modules.m4 \
133	$(top_srcdir)/build/ax_require_defined.m4 \
134	$(top_srcdir)/build/ax_with_curses.m4 \
135	$(top_srcdir)/build/boringocsp.m4 \
136	$(top_srcdir)/build/brotli.m4 $(top_srcdir)/build/cjose.m4 \
137	$(top_srcdir)/build/common.m4 $(top_srcdir)/build/crypto.m4 \
138	$(top_srcdir)/build/hiredis.m4 $(top_srcdir)/build/jansson.m4 \
139	$(top_srcdir)/build/jemalloc.m4 $(top_srcdir)/build/libtool.m4 \
140	$(top_srcdir)/build/ltoptions.m4 \
141	$(top_srcdir)/build/ltsugar.m4 \
142	$(top_srcdir)/build/ltversion.m4 \
143	$(top_srcdir)/build/lt~obsolete.m4 \
144	$(top_srcdir)/build/luajit.m4 $(top_srcdir)/build/lzma.m4 \
145	$(top_srcdir)/build/network.m4 $(top_srcdir)/build/pcre.m4 \
146	$(top_srcdir)/build/pkg.m4 $(top_srcdir)/build/tcmalloc.m4 \
147	$(top_srcdir)/build/yaml-cpp.m4 $(top_srcdir)/build/zlib.m4 \
148	$(top_srcdir)/configure.ac
149am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150	$(ACLOCAL_M4)
151DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
152mkinstalldirs = $(install_sh) -d
153CONFIG_HEADER = $(top_builddir)/include/ink_autoconf.h
154CONFIG_CLEAN_FILES =
155CONFIG_CLEAN_VPATH_FILES =
156LIBRARIES = $(noinst_LIBRARIES)
157ARFLAGS = cru
158AM_V_AR = $(am__v_AR_@AM_V@)
159am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
160am__v_AR_0 = @echo "  AR      " $@;
161am__v_AR_1 =
162libinkaio_a_AR = $(AR) $(ARFLAGS)
163libinkaio_a_LIBADD =
164am_libinkaio_a_OBJECTS = AIO.$(OBJEXT) Inline.$(OBJEXT)
165libinkaio_a_OBJECTS = $(am_libinkaio_a_OBJECTS)
166am_test_AIO_OBJECTS = test_AIO-test_AIO.$(OBJEXT)
167test_AIO_OBJECTS = $(am_test_AIO_OBJECTS)
168test_AIO_DEPENDENCIES = libinkaio.a \
169	$(top_builddir)/lib/records/librecords_p.a \
170	$(top_builddir)/mgmt/libmgmt_p.la \
171	$(top_builddir)/iocore/eventsystem/libinkevent.a \
172	$(top_builddir)/src/tscore/libtscore.la \
173	$(top_builddir)/src/tscpp/util/libtscpputil.la \
174	$(top_builddir)/proxy/shared/libUglyLogStubs.a
175AM_V_lt = $(am__v_lt_@AM_V@)
176am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
177am__v_lt_0 = --silent
178am__v_lt_1 =
179test_AIO_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
180	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
181	$(CXXFLAGS) $(test_AIO_LDFLAGS) $(LDFLAGS) -o $@
182AM_V_P = $(am__v_P_@AM_V@)
183am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
184am__v_P_0 = false
185am__v_P_1 = :
186AM_V_GEN = $(am__v_GEN_@AM_V@)
187am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
188am__v_GEN_0 = @echo "  GEN     " $@;
189am__v_GEN_1 =
190AM_V_at = $(am__v_at_@AM_V@)
191am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
192am__v_at_0 = @
193am__v_at_1 =
194DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
195depcomp = $(SHELL) $(top_srcdir)/build/_aux/depcomp
196am__maybe_remake_depfiles = depfiles
197am__depfiles_remade = ./$(DEPDIR)/AIO.Po ./$(DEPDIR)/Inline.Po \
198	./$(DEPDIR)/test_AIO-test_AIO.Po
199am__mv = mv -f
200CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
201	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
202LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
203	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
204	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
205	$(AM_CXXFLAGS) $(CXXFLAGS)
206AM_V_CXX = $(am__v_CXX_@AM_V@)
207am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
208am__v_CXX_0 = @echo "  CXX     " $@;
209am__v_CXX_1 =
210CXXLD = $(CXX)
211CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
212	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
213	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
214AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
215am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
216am__v_CXXLD_0 = @echo "  CXXLD   " $@;
217am__v_CXXLD_1 =
218COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
219	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
220LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
222	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
223	$(AM_CFLAGS) $(CFLAGS)
224AM_V_CC = $(am__v_CC_@AM_V@)
225am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
226am__v_CC_0 = @echo "  CC      " $@;
227am__v_CC_1 =
228CCLD = $(CC)
229LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
230	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
231	$(AM_LDFLAGS) $(LDFLAGS) -o $@
232AM_V_CCLD = $(am__v_CCLD_@AM_V@)
233am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
234am__v_CCLD_0 = @echo "  CCLD    " $@;
235am__v_CCLD_1 =
236SOURCES = $(libinkaio_a_SOURCES) $(test_AIO_SOURCES)
237DIST_SOURCES = $(libinkaio_a_SOURCES) $(test_AIO_SOURCES)
238am__can_run_installinfo = \
239  case $$AM_UPDATE_INFO_DIR in \
240    n|no|NO) false;; \
241    *) (install-info --version) >/dev/null 2>&1;; \
242  esac
243am__extra_recursive_targets = clang-tidy-recursive
244am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
245# Read a list of newline-separated strings from the standard input,
246# and print each of them once, without duplicates.  Input order is
247# *not* preserved.
248am__uniquify_input = $(AWK) '\
249  BEGIN { nonempty = 0; } \
250  { items[$$0] = 1; nonempty = 1; } \
251  END { if (nonempty) { for (i in items) print i; }; } \
252'
253# Make sure the list of sources is unique.  This is necessary because,
254# e.g., the same source file might be shared among _SOURCES variables
255# for different programs/libraries.
256am__define_uniq_tagged_files = \
257  list='$(am__tagged_files)'; \
258  unique=`for i in $$list; do \
259    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
260  done | $(am__uniquify_input)`
261ETAGS = etags
262CTAGS = ctags
263am__tty_colors_dummy = \
264  mgn= red= grn= lgn= blu= brg= std=; \
265  am__color_tests=no
266am__tty_colors = { \
267  $(am__tty_colors_dummy); \
268  if test "X$(AM_COLOR_TESTS)" = Xno; then \
269    am__color_tests=no; \
270  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
271    am__color_tests=yes; \
272  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
273    am__color_tests=yes; \
274  fi; \
275  if test $$am__color_tests = yes; then \
276    red=''; \
277    grn=''; \
278    lgn=''; \
279    blu=''; \
280    mgn=''; \
281    brg=''; \
282    std=''; \
283  fi; \
284}
285am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
286am__vpath_adj = case $$p in \
287    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
288    *) f=$$p;; \
289  esac;
290am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
291am__install_max = 40
292am__nobase_strip_setup = \
293  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
294am__nobase_strip = \
295  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
296am__nobase_list = $(am__nobase_strip_setup); \
297  for p in $$list; do echo "$$p $$p"; done | \
298  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
299  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
300    if (++n[$$2] == $(am__install_max)) \
301      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
302    END { for (dir in files) print dir, files[dir] }'
303am__base_list = \
304  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
305  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
306am__uninstall_files_from_dir = { \
307  test -z "$$files" \
308    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
309    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
310         $(am__cd) "$$dir" && rm -f $$files; }; \
311  }
312am__recheck_rx = ^[ 	]*:recheck:[ 	]*
313am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
314am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
315# A command that, given a newline-separated list of test names on the
316# standard input, print the name of the tests that are to be re-run
317# upon "make recheck".
318am__list_recheck_tests = $(AWK) '{ \
319  recheck = 1; \
320  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
321    { \
322      if (rc < 0) \
323        { \
324          if ((getline line2 < ($$0 ".log")) < 0) \
325	    recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
329        { \
330          recheck = 0; \
331          break; \
332        } \
333      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
334        { \
335          break; \
336        } \
337    }; \
338  if (recheck) \
339    print $$0; \
340  close ($$0 ".trs"); \
341  close ($$0 ".log"); \
342}'
343# A command that, given a newline-separated list of test names on the
344# standard input, create the global log from their .trs and .log files.
345am__create_global_log = $(AWK) ' \
346function fatal(msg) \
347{ \
348  print "fatal: making $@: " msg | "cat >&2"; \
349  exit 1; \
350} \
351function rst_section(header) \
352{ \
353  print header; \
354  len = length(header); \
355  for (i = 1; i <= len; i = i + 1) \
356    printf "="; \
357  printf "\n\n"; \
358} \
359{ \
360  copy_in_global_log = 1; \
361  global_test_result = "RUN"; \
362  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
363    { \
364      if (rc < 0) \
365         fatal("failed to read from " $$0 ".trs"); \
366      if (line ~ /$(am__global_test_result_rx)/) \
367        { \
368          sub("$(am__global_test_result_rx)", "", line); \
369          sub("[ 	]*$$", "", line); \
370          global_test_result = line; \
371        } \
372      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
373        copy_in_global_log = 0; \
374    }; \
375  if (copy_in_global_log) \
376    { \
377      rst_section(global_test_result ": " $$0); \
378      while ((rc = (getline line < ($$0 ".log"))) != 0) \
379      { \
380        if (rc < 0) \
381          fatal("failed to read from " $$0 ".log"); \
382        print line; \
383      }; \
384      printf "\n"; \
385    }; \
386  close ($$0 ".trs"); \
387  close ($$0 ".log"); \
388}'
389# Restructured Text title.
390am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
391# Solaris 10 'make', and several other traditional 'make' implementations,
392# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
393# by disabling -e (using the XSI extension "set +e") if it's set.
394am__sh_e_setup = case $$- in *e*) set +e;; esac
395# Default flags passed to test drivers.
396am__common_driver_flags = \
397  --color-tests "$$am__color_tests" \
398  --enable-hard-errors "$$am__enable_hard_errors" \
399  --expect-failure "$$am__expect_failure"
400# To be inserted before the command running the test.  Creates the
401# directory for the log if needed.  Stores in $dir the directory
402# containing $f, in $tst the test, in $log the log.  Executes the
403# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
404# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
405# will run the test scripts (or their associated LOG_COMPILER, if
406# thy have one).
407am__check_pre = \
408$(am__sh_e_setup);					\
409$(am__vpath_adj_setup) $(am__vpath_adj)			\
410$(am__tty_colors);					\
411srcdir=$(srcdir); export srcdir;			\
412case "$@" in						\
413  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
414    *) am__odir=.;; 					\
415esac;							\
416test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
417  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
418if test -f "./$$f"; then dir=./;			\
419elif test -f "$$f"; then dir=;				\
420else dir="$(srcdir)/"; fi;				\
421tst=$$dir$$f; log='$@'; 				\
422if test -n '$(DISABLE_HARD_ERRORS)'; then		\
423  am__enable_hard_errors=no; 				\
424else							\
425  am__enable_hard_errors=yes; 				\
426fi; 							\
427case " $(XFAIL_TESTS) " in				\
428  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
429    am__expect_failure=yes;;				\
430  *)							\
431    am__expect_failure=no;;				\
432esac; 							\
433$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
434# A shell command to get the names of the tests scripts with any registered
435# extension removed (i.e., equivalently, the names of the test logs, with
436# the '.log' extension removed).  The result is saved in the shell variable
437# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
438# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
439# since that might cause problem with VPATH rewrites for suffix-less tests.
440# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
441am__set_TESTS_bases = \
442  bases='$(TEST_LOGS)'; \
443  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
444  bases=`echo $$bases`
445RECHECK_LOGS = $(TEST_LOGS)
446AM_RECURSIVE_TARGETS = check recheck
447TEST_SUITE_LOG = test-suite.log
448TEST_EXTENSIONS = @EXEEXT@ .test
449LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
450LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
451am__set_b = \
452  case '$@' in \
453    */*) \
454      case '$*' in \
455        */*) b='$*';; \
456          *) b=`echo '$@' | sed 's/\.log$$//'`; \
457       esac;; \
458    *) \
459      b='$*';; \
460  esac
461am__test_logs1 = $(TESTS:=.log)
462am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
463TEST_LOGS = $(am__test_logs2:.test.log=.log)
464TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build/_aux/test-driver
465TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
466	$(TEST_LOG_FLAGS)
467am__DIST_COMMON = $(srcdir)/Makefile.in \
468	$(top_srcdir)/build/_aux/depcomp \
469	$(top_srcdir)/build/_aux/test-driver \
470	$(top_srcdir)/build/tidy.mk
471DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
472pkgdatadir = @pkgdatadir@
473pkglibdir = @pkglibdir@
474pkglibexecdir = @pkglibexecdir@
475ACLOCAL = @ACLOCAL@
476AMTAR = @AMTAR@
477AM_CFLAGS = @AM_CFLAGS@
478AM_CPPFLAGS = @AM_CPPFLAGS@ -I$(abs_top_srcdir)/iocore/eventsystem \
479	-I$(abs_top_srcdir)/include -I$(abs_top_srcdir)/lib \
480	$(TS_INCLUDES)
481AM_CXXFLAGS = @AM_CXXFLAGS@
482AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
483AM_LDFLAGS = @AM_LDFLAGS@
484AR = @AR@
485ASCPP = @ASCPP@
486ATOMIC_LIBS = @ATOMIC_LIBS@
487AUTOCONF = @AUTOCONF@
488AUTOHEADER = @AUTOHEADER@
489AUTOMAKE = @AUTOMAKE@
490AWK = @AWK@
491BORINGOCSP_INCLUDES = @BORINGOCSP_INCLUDES@
492BORINGOCSP_LDFLAGS = @BORINGOCSP_LDFLAGS@
493BORINGOCSP_LIBS = @BORINGOCSP_LIBS@
494BROTLIENC_CFLAGS = @BROTLIENC_CFLAGS@
495BROTLIENC_LIB = @BROTLIENC_LIB@
496CC = @CC@
497CCACHE = @CCACHE@
498CCAS = @CCAS@
499CCASDEPMODE = @CCASDEPMODE@
500CCASFLAGS = @CCASFLAGS@
501CCDEPMODE = @CCDEPMODE@
502CFLAGS = @CFLAGS@
503CFLAGS_HIREDIS = @CFLAGS_HIREDIS@
504CLANG_TIDY = @CLANG_TIDY@
505CPP = @CPP@
506CPPFLAGS = @CPPFLAGS@
507CURL_CFLAGS = @CURL_CFLAGS@
508CURL_CONFIG = @CURL_CONFIG@
509CURL_LIBS = @CURL_LIBS@
510CURSES_CFLAGS = @CURSES_CFLAGS@
511CURSES_LDFLAGS = @CURSES_LDFLAGS@
512CURSES_LIBS = @CURSES_LIBS@
513CXX = @CXX@
514CXXCPP = @CXXCPP@
515CXXDEPMODE = @CXXDEPMODE@
516CXXFLAGS = @CXXFLAGS@
517CYGPATH_W = @CYGPATH_W@
518DEFS = @DEFS@
519DEPDIR = @DEPDIR@
520DLLTOOL = @DLLTOOL@
521DOXYGEN = @DOXYGEN@
522DSYMUTIL = @DSYMUTIL@
523DTRACE = @DTRACE@
524DUMPBIN = @DUMPBIN@
525ECHO_C = @ECHO_C@
526ECHO_N = @ECHO_N@
527ECHO_T = @ECHO_T@
528EGREP = @EGREP@
529EXEEXT = @EXEEXT@
530FGREP = @FGREP@
531FLEX_CFLAGS = @FLEX_CFLAGS@
532GEOIP_LIBS = @GEOIP_LIBS@
533GREP = @GREP@
534HOST_GUESS = @HOST_GUESS@
535HWLOC_CFLAGS = @HWLOC_CFLAGS@
536HWLOC_LIBS = @HWLOC_LIBS@
537INSTALL = @INSTALL@
538INSTALL_DATA = @INSTALL_DATA@
539INSTALL_PROGRAM = @INSTALL_PROGRAM@
540INSTALL_SCRIPT = @INSTALL_SCRIPT@
541INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
542JAVA = @JAVA@
543LD = @LD@
544LDFLAGS = @LDFLAGS@
545LEX = @LEX@
546LEXLIB = @LEXLIB@
547LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
548LIBBROTLIENC_CFLAGS = @LIBBROTLIENC_CFLAGS@
549LIBBROTLIENC_LIBS = @LIBBROTLIENC_LIBS@
550LIBCAP = @LIBCAP@
551LIBCJOSE = @LIBCJOSE@
552LIBCRYPT = @LIBCRYPT@
553LIBJANSSON = @LIBJANSSON@
554LIBLZMA = @LIBLZMA@
555LIBMAGICKCPP_CFLAGS = @LIBMAGICKCPP_CFLAGS@
556LIBMAGICKCPP_LIBS = @LIBMAGICKCPP_LIBS@
557LIBOBJS = @LIBOBJS@
558LIBPCRE = @LIBPCRE@
559LIBPROFILER = @LIBPROFILER@
560LIBREADLINE = @LIBREADLINE@
561LIBRESOLV = @LIBRESOLV@
562LIBS = @LIBS@
563LIBTOOL = @LIBTOOL@
564LIBUNWIND_CFLAGS = @LIBUNWIND_CFLAGS@
565LIBUNWIND_LIBS = @LIBUNWIND_LIBS@
566LIBZ = @LIBZ@
567LIB_HIREDIS = @LIB_HIREDIS@
568LIB_KYOTOCABINET = @LIB_KYOTOCABINET@
569LIB_MYSQLCLIENT = @LIB_MYSQLCLIENT@
570LIPO = @LIPO@
571LN_S = @LN_S@
572LTLIBOBJS = @LTLIBOBJS@
573LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
574LUAJIT_CFLAGS = @LUAJIT_CFLAGS@
575LUAJIT_CPPFLAGS = @LUAJIT_CPPFLAGS@
576LUAJIT_DARWIN_LDFLAGS = @LUAJIT_DARWIN_LDFLAGS@
577LUAJIT_LDFLAGS = @LUAJIT_LDFLAGS@
578LUAJIT_LIBS = @LUAJIT_LIBS@
579MAINT = @MAINT@
580MAKEINFO = @MAKEINFO@
581MANIFEST_TOOL = @MANIFEST_TOOL@
582MAXMINDDB_LIBS = @MAXMINDDB_LIBS@
583MKDIR_P = @MKDIR_P@
584NM = @NM@
585NMEDIT = @NMEDIT@
586OBJDUMP = @OBJDUMP@
587OBJEXT = @OBJEXT@
588OPENSSL_INCLUDES = @OPENSSL_INCLUDES@
589OPENSSL_LDFLAGS = @OPENSSL_LDFLAGS@
590OPENSSL_LIBS = @OPENSSL_LIBS@
591OTOOL = @OTOOL@
592OTOOL64 = @OTOOL64@
593PACKAGE = @PACKAGE@
594PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
595PACKAGE_NAME = @PACKAGE_NAME@
596PACKAGE_STRING = @PACKAGE_STRING@
597PACKAGE_TARNAME = @PACKAGE_TARNAME@
598PACKAGE_URL = @PACKAGE_URL@
599PACKAGE_VERSION = @PACKAGE_VERSION@
600PATH_SEPARATOR = @PATH_SEPARATOR@
601PCRE_CONFIG = @PCRE_CONFIG@
602PERL = @PERL@
603PKG_CONFIG = @PKG_CONFIG@
604PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
605PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
606PYTHON = @PYTHON@
607PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
608PYTHON_PLATFORM = @PYTHON_PLATFORM@
609PYTHON_PREFIX = @PYTHON_PREFIX@
610PYTHON_VERSION = @PYTHON_VERSION@
611RANLIB = @RANLIB@
612RM = @RM@
613RPATH = @RPATH@
614SED = @SED@
615SET_MAKE = @SET_MAKE@
616SHELL = @SHELL@
617SPHINXBUILD = @SPHINXBUILD@
618SPHINXOPTS = @SPHINXOPTS@
619STRIP = @STRIP@
620TS_INCLUDES = @TS_INCLUDES@
621TS_LIBTOOL_VERSION = @TS_LIBTOOL_VERSION@
622TS_MAN1_MANPAGES = @TS_MAN1_MANPAGES@
623TS_MAN3_MANPAGES = @TS_MAN3_MANPAGES@
624TS_MAN5_MANPAGES = @TS_MAN5_MANPAGES@
625TS_MAN8_MANPAGES = @TS_MAN8_MANPAGES@
626TS_VERSION_MAJOR = @TS_VERSION_MAJOR@
627TS_VERSION_MICRO = @TS_VERSION_MICRO@
628TS_VERSION_MINOR = @TS_VERSION_MINOR@
629TS_VERSION_NUMBER = @TS_VERSION_NUMBER@
630TS_VERSION_STRING = @TS_VERSION_STRING@
631VERSION = @VERSION@
632YACC = @YACC@
633YAMLCPP_INCLUDES = @YAMLCPP_INCLUDES@
634YAMLCPP_LDFLAGS = @YAMLCPP_LDFLAGS@
635YAMLCPP_LIBS = @YAMLCPP_LIBS@
636abs_builddir = @abs_builddir@
637abs_srcdir = @abs_srcdir@
638abs_top_builddir = @abs_top_builddir@
639abs_top_srcdir = @abs_top_srcdir@
640ac_ct_AR = @ac_ct_AR@
641ac_ct_CC = @ac_ct_CC@
642ac_ct_CXX = @ac_ct_CXX@
643ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
644am__include = @am__include@
645am__leading_dot = @am__leading_dot@
646am__quote = @am__quote@
647am__tar = @am__tar@
648am__untar = @am__untar@
649bindir = @bindir@
650build = @build@
651build_alias = @build_alias@
652build_cpu = @build_cpu@
653build_group = @build_group@
654build_machine = @build_machine@
655build_number = @build_number@
656build_os = @build_os@
657build_person = @build_person@
658build_vendor = @build_vendor@
659builddir = @builddir@
660cachedir = @cachedir@
661datadir = @datadir@
662datarootdir = @datarootdir@
663default_loopback_iface = @default_loopback_iface@
664default_stack_size = @default_stack_size@
665docdir = @docdir@
666dvidir = @dvidir@
667enable_fips = @enable_fips@
668enable_remote_cov_commit = @enable_remote_cov_commit@
669exec_prefix = @exec_prefix@
670exp_bindir = @exp_bindir@
671exp_cachedir = @exp_cachedir@
672exp_datadir = @exp_datadir@
673exp_docdir = @exp_docdir@
674exp_exec_prefix = @exp_exec_prefix@
675exp_includedir = @exp_includedir@
676exp_infodir = @exp_infodir@
677exp_installbuilddir = @exp_installbuilddir@
678exp_libdir = @exp_libdir@
679exp_libexecdir = @exp_libexecdir@
680exp_localstatedir = @exp_localstatedir@
681exp_logdir = @exp_logdir@
682exp_mandir = @exp_mandir@
683exp_prefix = @exp_prefix@
684exp_runtimedir = @exp_runtimedir@
685exp_sbindir = @exp_sbindir@
686exp_sysconfdir = @exp_sysconfdir@
687has_128bit_cas = @has_128bit_cas@
688has_backtrace = @has_backtrace@
689has_boringocsp = @has_boringocsp@
690has_expensive_tests = @has_expensive_tests@
691has_geoip = @has_geoip@
692has_in6_is_addr_unspecified = @has_in6_is_addr_unspecified@
693has_ip_tos = @has_ip_tos@
694has_kyotocabinet = @has_kyotocabinet@
695has_luajit = @has_luajit@
696has_maxminddb = @has_maxminddb@
697has_mysql = @has_mysql@
698has_profiler = @has_profiler@
699has_so_mark = @has_so_mark@
700has_so_peercred = @has_so_peercred@
701has_tcmalloc = @has_tcmalloc@
702has_tests = @has_tests@
703has_tls_early_data = @has_tls_early_data@
704has_tls_session_ticket = @has_tls_session_ticket@
705has_wccp = @has_wccp@
706host = @host@
707host_alias = @host_alias@
708host_cpu = @host_cpu@
709host_os = @host_os@
710host_vendor = @host_vendor@
711htmldir = @htmldir@
712includedir = @includedir@
713infodir = @infodir@
714install_sh = @install_sh@
715installbuilddir = @installbuilddir@
716iocore_include_dirs = @iocore_include_dirs@
717ip_transparent = @ip_transparent@
718jemalloch = @jemalloch@
719libdir = @libdir@
720libexecdir = @libexecdir@
721localedir = @localedir@
722localstatedir = @localstatedir@
723logdir = @logdir@
724mandir = @mandir@
725max_event_threads = @max_event_threads@
726max_host_name_len = @max_host_name_len@
727max_threads_per_type = @max_threads_per_type@
728mkdir_p = @mkdir_p@
729oldincludedir = @oldincludedir@
730pdfdir = @pdfdir@
731pkgbindir = @pkgbindir@
732pkgcachedir = @pkgcachedir@
733pkgdocdir = @pkgdocdir@
734pkglocalstatedir = @pkglocalstatedir@
735pkglogdir = @pkglogdir@
736pkgpyexecdir = @pkgpyexecdir@
737pkgpythondir = @pkgpythondir@
738pkgruntimedir = @pkgruntimedir@
739pkgsbindir = @pkgsbindir@
740pkgsysconfdir = @pkgsysconfdir@
741pkgsysgroup = @pkgsysgroup@
742pkgsysuser = @pkgsysuser@
743prefix = @prefix@
744program_transform_name = @program_transform_name@
745psdir = @psdir@
746pyexecdir = @pyexecdir@
747pythondir = @pythondir@
748rel_bindir = @rel_bindir@
749rel_cachedir = @rel_cachedir@
750rel_datadir = @rel_datadir@
751rel_docdir = @rel_docdir@
752rel_exec_prefix = @rel_exec_prefix@
753rel_includedir = @rel_includedir@
754rel_infodir = @rel_infodir@
755rel_installbuilddir = @rel_installbuilddir@
756rel_libdir = @rel_libdir@
757rel_libexecdir = @rel_libexecdir@
758rel_localstatedir = @rel_localstatedir@
759rel_logdir = @rel_logdir@
760rel_mandir = @rel_mandir@
761rel_prefix = @rel_prefix@
762rel_runtimedir = @rel_runtimedir@
763rel_sbindir = @rel_sbindir@
764rel_sysconfdir = @rel_sysconfdir@
765runstatedir = @runstatedir@
766runtimedir = @runtimedir@
767sbindir = @sbindir@
768sharedstatedir = @sharedstatedir@
769srcdir = @srcdir@
770sysconfdir = @sysconfdir@
771target_alias = @target_alias@
772top_build_prefix = @top_build_prefix@
773top_builddir = @top_builddir@
774top_srcdir = @top_srcdir@
775use_boringocsp = @use_boringocsp@
776use_dh_get_2048_256 = @use_dh_get_2048_256@
777use_diags = @use_diags@
778use_epoll = @use_epoll@
779use_fast_sdk = @use_fast_sdk@
780use_hello_cb = @use_hello_cb@
781use_hkdf = @use_hkdf@
782use_hrw_geoip = @use_hrw_geoip@
783use_hrw_maxminddb = @use_hrw_maxminddb@
784use_hwloc = @use_hwloc@
785use_kqueue = @use_kqueue@
786use_linux_native_aio = @use_linux_native_aio@
787use_port = @use_port@
788use_posix_cap = @use_posix_cap@
789use_quic = @use_quic@
790use_remote_unwinding = @use_remote_unwinding@
791use_set_rbio = @use_set_rbio@
792use_tls13 = @use_tls13@
793use_tls_async = @use_tls_async@
794use_tls_ocsp = @use_tls_ocsp@
795use_tls_set_ciphersuites = @use_tls_set_ciphersuites@
796use_tproxy = @use_tproxy@
797TESTS = test_AIO.sample
798noinst_LIBRARIES = libinkaio.a
799libinkaio_a_SOURCES = \
800	AIO.cc \
801	I_AIO.h \
802	Inline.cc \
803	P_AIO.h
804
805test_AIO_LDFLAGS = \
806	@AM_LDFLAGS@ \
807	@OPENSSL_LDFLAGS@
808
809test_AIO_SOURCES = \
810	test_AIO.cc
811
812test_AIO_CPPFLAGS = \
813	$(AM_CPPFLAGS) \
814	$(iocore_include_dirs) \
815	-I$(abs_top_srcdir)/proxy \
816	-I$(abs_top_srcdir)/proxy/hdrs \
817	-I$(abs_top_srcdir)/proxy/http \
818	-I$(abs_top_srcdir)/proxy/logging \
819	-I$(abs_top_srcdir)/mgmt \
820	-I$(abs_top_srcdir)/mgmt/utils \
821	@OPENSSL_INCLUDES@
822
823test_AIO_LDADD = \
824	libinkaio.a \
825	$(top_builddir)/lib/records/librecords_p.a \
826	$(top_builddir)/mgmt/libmgmt_p.la \
827	$(top_builddir)/iocore/eventsystem/libinkevent.a \
828	$(top_builddir)/src/tscore/libtscore.la \
829	$(top_builddir)/src/tscpp/util/libtscpputil.la \
830	$(top_builddir)/proxy/shared/libUglyLogStubs.a \
831	@HWLOC_LIBS@
832
833Clang_Tidy_Options = -fix -fix-errors
834
835# Sort the filenames to remove duplicates, then filter to retain
836# just the C and C++ sources so we don't pick up lex and yacc files
837# for example.
838Clang_Tidy_CC_Files = $(filter %.c, $(sort $^))
839Clang_Tidy_CXX_Files = $(filter %.cc, $(sort $^))
840
841# clang-tidy rules. We expect these to be actions with something like
842# $(DIST_SOURCES) as the dependencies.rules. Note that $DIST_SOURCES
843# is not an automake API, it is an implementation detail, but it ought
844# to be stable enough.
845#
846# All this clearly requires GNU make.
847CXX_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CXX_Files) -- $(CXXCOMPILE) -x c++
848CC_Clang_Tidy = $(CLANG_TIDY) $(Clang_Tidy_Options) $(Clang_Tidy_CC_Files) -- $(COMPILE) -x c
849all: all-am
850
851.SUFFIXES:
852.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
853$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build/tidy.mk $(am__configure_deps)
854	@for dep in $?; do \
855	  case '$(am__configure_deps)' in \
856	    *$$dep*) \
857	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
858	        && { if test -f $@; then exit 0; else break; fi; }; \
859	      exit 1;; \
860	  esac; \
861	done; \
862	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign iocore/aio/Makefile'; \
863	$(am__cd) $(top_srcdir) && \
864	  $(AUTOMAKE) --foreign iocore/aio/Makefile
865Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
866	@case '$?' in \
867	  *config.status*) \
868	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
869	  *) \
870	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
871	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
872	esac;
873$(top_srcdir)/build/tidy.mk $(am__empty):
874
875$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
876	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
877
878$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
879	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
880$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
881	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
882$(am__aclocal_m4_deps):
883
884clean-checkPROGRAMS:
885	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
886	echo " rm -f" $$list; \
887	rm -f $$list || exit $$?; \
888	test -n "$(EXEEXT)" || exit 0; \
889	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
890	echo " rm -f" $$list; \
891	rm -f $$list
892
893clean-noinstLIBRARIES:
894	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
895
896libinkaio.a: $(libinkaio_a_OBJECTS) $(libinkaio_a_DEPENDENCIES) $(EXTRA_libinkaio_a_DEPENDENCIES)
897	$(AM_V_at)-rm -f libinkaio.a
898	$(AM_V_AR)$(libinkaio_a_AR) libinkaio.a $(libinkaio_a_OBJECTS) $(libinkaio_a_LIBADD)
899	$(AM_V_at)$(RANLIB) libinkaio.a
900
901test_AIO$(EXEEXT): $(test_AIO_OBJECTS) $(test_AIO_DEPENDENCIES) $(EXTRA_test_AIO_DEPENDENCIES)
902	@rm -f test_AIO$(EXEEXT)
903	$(AM_V_CXXLD)$(test_AIO_LINK) $(test_AIO_OBJECTS) $(test_AIO_LDADD) $(LIBS)
904
905mostlyclean-compile:
906	-rm -f *.$(OBJEXT)
907
908distclean-compile:
909	-rm -f *.tab.c
910
911@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/AIO.Po@am__quote@ # am--include-marker
912@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Inline.Po@am__quote@ # am--include-marker
913@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_AIO-test_AIO.Po@am__quote@ # am--include-marker
914
915$(am__depfiles_remade):
916	@$(MKDIR_P) $(@D)
917	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
918
919am--depfiles: $(am__depfiles_remade)
920
921.cc.o:
922@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
923@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
924@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
925@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
926@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
927@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
928
929.cc.obj:
930@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
931@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
932@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
933@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
934@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
935@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
936
937.cc.lo:
938@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
939@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
940@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
941@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
942@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
943@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
944
945test_AIO-test_AIO.o: test_AIO.cc
946@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_AIO_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_AIO-test_AIO.o -MD -MP -MF $(DEPDIR)/test_AIO-test_AIO.Tpo -c -o test_AIO-test_AIO.o `test -f 'test_AIO.cc' || echo '$(srcdir)/'`test_AIO.cc
947@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_AIO-test_AIO.Tpo $(DEPDIR)/test_AIO-test_AIO.Po
948@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test_AIO.cc' object='test_AIO-test_AIO.o' libtool=no @AMDEPBACKSLASH@
949@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
950@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_AIO_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_AIO-test_AIO.o `test -f 'test_AIO.cc' || echo '$(srcdir)/'`test_AIO.cc
951
952test_AIO-test_AIO.obj: test_AIO.cc
953@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_AIO_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_AIO-test_AIO.obj -MD -MP -MF $(DEPDIR)/test_AIO-test_AIO.Tpo -c -o test_AIO-test_AIO.obj `if test -f 'test_AIO.cc'; then $(CYGPATH_W) 'test_AIO.cc'; else $(CYGPATH_W) '$(srcdir)/test_AIO.cc'; fi`
954@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_AIO-test_AIO.Tpo $(DEPDIR)/test_AIO-test_AIO.Po
955@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='test_AIO.cc' object='test_AIO-test_AIO.obj' libtool=no @AMDEPBACKSLASH@
956@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
957@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_AIO_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_AIO-test_AIO.obj `if test -f 'test_AIO.cc'; then $(CYGPATH_W) 'test_AIO.cc'; else $(CYGPATH_W) '$(srcdir)/test_AIO.cc'; fi`
958
959mostlyclean-libtool:
960	-rm -f *.lo
961
962clean-libtool:
963	-rm -rf .libs _libs
964clang-tidy-local:
965
966ID: $(am__tagged_files)
967	$(am__define_uniq_tagged_files); mkid -fID $$unique
968tags: tags-am
969TAGS: tags
970
971tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
972	set x; \
973	here=`pwd`; \
974	$(am__define_uniq_tagged_files); \
975	shift; \
976	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
977	  test -n "$$unique" || unique=$$empty_fix; \
978	  if test $$# -gt 0; then \
979	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
980	      "$$@" $$unique; \
981	  else \
982	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
983	      $$unique; \
984	  fi; \
985	fi
986ctags: ctags-am
987
988CTAGS: ctags
989ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
990	$(am__define_uniq_tagged_files); \
991	test -z "$(CTAGS_ARGS)$$unique" \
992	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
993	     $$unique
994
995GTAGS:
996	here=`$(am__cd) $(top_builddir) && pwd` \
997	  && $(am__cd) $(top_srcdir) \
998	  && gtags -i $(GTAGS_ARGS) "$$here"
999cscopelist: cscopelist-am
1000
1001cscopelist-am: $(am__tagged_files)
1002	list='$(am__tagged_files)'; \
1003	case "$(srcdir)" in \
1004	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1005	  *) sdir=$(subdir)/$(srcdir) ;; \
1006	esac; \
1007	for i in $$list; do \
1008	  if test -f "$$i"; then \
1009	    echo "$(subdir)/$$i"; \
1010	  else \
1011	    echo "$$sdir/$$i"; \
1012	  fi; \
1013	done >> $(top_builddir)/cscope.files
1014
1015distclean-tags:
1016	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1017
1018# Recover from deleted '.trs' file; this should ensure that
1019# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1020# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1021# to avoid problems with "make -n".
1022.log.trs:
1023	rm -f $< $@
1024	$(MAKE) $(AM_MAKEFLAGS) $<
1025
1026# Leading 'am--fnord' is there to ensure the list of targets does not
1027# expand to empty, as could happen e.g. with make check TESTS=''.
1028am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1029am--force-recheck:
1030	@:
1031
1032$(TEST_SUITE_LOG): $(TEST_LOGS)
1033	@$(am__set_TESTS_bases); \
1034	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1035	redo_bases=`for i in $$bases; do \
1036	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1037	            done`; \
1038	if test -n "$$redo_bases"; then \
1039	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1040	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1041	  if $(am__make_dryrun); then :; else \
1042	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1043	  fi; \
1044	fi; \
1045	if test -n "$$am__remaking_logs"; then \
1046	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1047	       "recursion detected" >&2; \
1048	elif test -n "$$redo_logs"; then \
1049	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1050	fi; \
1051	if $(am__make_dryrun); then :; else \
1052	  st=0;  \
1053	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1054	  for i in $$redo_bases; do \
1055	    test -f $$i.trs && test -r $$i.trs \
1056	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1057	    test -f $$i.log && test -r $$i.log \
1058	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1059	  done; \
1060	  test $$st -eq 0 || exit 1; \
1061	fi
1062	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1063	ws='[ 	]'; \
1064	results=`for b in $$bases; do echo $$b.trs; done`; \
1065	test -n "$$results" || results=/dev/null; \
1066	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1067	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1068	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1069	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1070	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1071	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1072	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1073	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1074	  success=true; \
1075	else \
1076	  success=false; \
1077	fi; \
1078	br='==================='; br=$$br$$br$$br$$br; \
1079	result_count () \
1080	{ \
1081	    if test x"$$1" = x"--maybe-color"; then \
1082	      maybe_colorize=yes; \
1083	    elif test x"$$1" = x"--no-color"; then \
1084	      maybe_colorize=no; \
1085	    else \
1086	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1087	    fi; \
1088	    shift; \
1089	    desc=$$1 count=$$2; \
1090	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1091	      color_start=$$3 color_end=$$std; \
1092	    else \
1093	      color_start= color_end=; \
1094	    fi; \
1095	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1096	}; \
1097	create_testsuite_report () \
1098	{ \
1099	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1100	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1101	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1102	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1103	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1104	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1105	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1106	}; \
1107	{								\
1108	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1109	    $(am__rst_title);						\
1110	  create_testsuite_report --no-color;				\
1111	  echo;								\
1112	  echo ".. contents:: :depth: 2";				\
1113	  echo;								\
1114	  for b in $$bases; do echo $$b; done				\
1115	    | $(am__create_global_log);					\
1116	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1117	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1118	if $$success; then						\
1119	  col="$$grn";							\
1120	 else								\
1121	  col="$$red";							\
1122	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1123	fi;								\
1124	echo "$${col}$$br$${std}"; 					\
1125	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1126	echo "$${col}$$br$${std}"; 					\
1127	create_testsuite_report --maybe-color;				\
1128	echo "$$col$$br$$std";						\
1129	if $$success; then :; else					\
1130	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1131	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1132	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1133	  fi;								\
1134	  echo "$$col$$br$$std";					\
1135	fi;								\
1136	$$success || exit 1
1137
1138check-TESTS: $(check_PROGRAMS)
1139	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1140	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1141	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1142	@set +e; $(am__set_TESTS_bases); \
1143	log_list=`for i in $$bases; do echo $$i.log; done`; \
1144	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1145	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1146	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1147	exit $$?;
1148recheck: all $(check_PROGRAMS)
1149	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1150	@set +e; $(am__set_TESTS_bases); \
1151	bases=`for i in $$bases; do echo $$i; done \
1152	         | $(am__list_recheck_tests)` || exit 1; \
1153	log_list=`for i in $$bases; do echo $$i.log; done`; \
1154	log_list=`echo $$log_list`; \
1155	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1156	        am__force_recheck=am--force-recheck \
1157	        TEST_LOGS="$$log_list"; \
1158	exit $$?
1159test_AIO.sample.log: test_AIO.sample
1160	@p='test_AIO.sample'; \
1161	b='test_AIO.sample'; \
1162	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1163	--log-file $$b.log --trs-file $$b.trs \
1164	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1165	"$$tst" $(AM_TESTS_FD_REDIRECT)
1166.test.log:
1167	@p='$<'; \
1168	$(am__set_b); \
1169	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1170	--log-file $$b.log --trs-file $$b.trs \
1171	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1172	"$$tst" $(AM_TESTS_FD_REDIRECT)
1173@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1174@am__EXEEXT_TRUE@	@p='$<'; \
1175@am__EXEEXT_TRUE@	$(am__set_b); \
1176@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1177@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1178@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1179@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1180
1181distdir: $(BUILT_SOURCES)
1182	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1183
1184distdir-am: $(DISTFILES)
1185	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1186	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1187	list='$(DISTFILES)'; \
1188	  dist_files=`for file in $$list; do echo $$file; done | \
1189	  sed -e "s|^$$srcdirstrip/||;t" \
1190	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1191	case $$dist_files in \
1192	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1193			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1194			   sort -u` ;; \
1195	esac; \
1196	for file in $$dist_files; do \
1197	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1198	  if test -d $$d/$$file; then \
1199	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1200	    if test -d "$(distdir)/$$file"; then \
1201	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1202	    fi; \
1203	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1204	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1205	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1206	    fi; \
1207	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1208	  else \
1209	    test -f "$(distdir)/$$file" \
1210	    || cp -p $$d/$$file "$(distdir)/$$file" \
1211	    || exit 1; \
1212	  fi; \
1213	done
1214check-am: all-am
1215	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1216	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1217check: check-am
1218all-am: Makefile $(LIBRARIES)
1219installdirs:
1220install: install-am
1221install-exec: install-exec-am
1222install-data: install-data-am
1223uninstall: uninstall-am
1224
1225install-am: all-am
1226	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1227
1228installcheck: installcheck-am
1229install-strip:
1230	if test -z '$(STRIP)'; then \
1231	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1232	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1233	      install; \
1234	else \
1235	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1236	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1237	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1238	fi
1239mostlyclean-generic:
1240	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1241	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1242	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1243
1244clean-generic:
1245
1246distclean-generic:
1247	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1248	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1249
1250maintainer-clean-generic:
1251	@echo "This command is intended for maintainers to use"
1252	@echo "it deletes files that may require special tools to rebuild."
1253clang-tidy: clang-tidy-am
1254
1255clang-tidy-am: clang-tidy-local
1256
1257clean: clean-am
1258
1259clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1260	clean-noinstLIBRARIES mostlyclean-am
1261
1262distclean: distclean-am
1263		-rm -f ./$(DEPDIR)/AIO.Po
1264	-rm -f ./$(DEPDIR)/Inline.Po
1265	-rm -f ./$(DEPDIR)/test_AIO-test_AIO.Po
1266	-rm -f Makefile
1267distclean-am: clean-am distclean-compile distclean-generic \
1268	distclean-tags
1269
1270dvi: dvi-am
1271
1272dvi-am:
1273
1274html: html-am
1275
1276html-am:
1277
1278info: info-am
1279
1280info-am:
1281
1282install-data-am:
1283
1284install-dvi: install-dvi-am
1285
1286install-dvi-am:
1287
1288install-exec-am:
1289
1290install-html: install-html-am
1291
1292install-html-am:
1293
1294install-info: install-info-am
1295
1296install-info-am:
1297
1298install-man:
1299
1300install-pdf: install-pdf-am
1301
1302install-pdf-am:
1303
1304install-ps: install-ps-am
1305
1306install-ps-am:
1307
1308installcheck-am:
1309
1310maintainer-clean: maintainer-clean-am
1311		-rm -f ./$(DEPDIR)/AIO.Po
1312	-rm -f ./$(DEPDIR)/Inline.Po
1313	-rm -f ./$(DEPDIR)/test_AIO-test_AIO.Po
1314	-rm -f Makefile
1315maintainer-clean-am: distclean-am maintainer-clean-generic
1316
1317mostlyclean: mostlyclean-am
1318
1319mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1320	mostlyclean-libtool
1321
1322pdf: pdf-am
1323
1324pdf-am:
1325
1326ps: ps-am
1327
1328ps-am:
1329
1330uninstall-am:
1331
1332.MAKE: check-am install-am install-strip
1333
1334.PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
1335	check-am clang-tidy-am clang-tidy-local clean \
1336	clean-checkPROGRAMS clean-generic clean-libtool \
1337	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1338	distclean-compile distclean-generic distclean-libtool \
1339	distclean-tags distdir dvi dvi-am html html-am info info-am \
1340	install install-am install-data install-data-am install-dvi \
1341	install-dvi-am install-exec install-exec-am install-html \
1342	install-html-am install-info install-info-am install-man \
1343	install-pdf install-pdf-am install-ps install-ps-am \
1344	install-strip installcheck installcheck-am installdirs \
1345	maintainer-clean maintainer-clean-generic mostlyclean \
1346	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1347	pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1348	uninstall-am
1349
1350.PRECIOUS: Makefile
1351
1352
1353clang-tidy-local: $(DIST_SOURCES)
1354	$(CXX_Clang_Tidy)
1355
1356# Tell versions [3.59,3.63) of GNU make to not export all variables.
1357# Otherwise a system limit (for SysV at least) may be exceeded.
1358.NOEXPORT:
1359